# Class Codes

java.lang.Object
org.fressian.impl.Codes

public class Codes extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ANY`
`static final int`
`BEGIN_CLOSED_LIST`
`static final int`
`BEGIN_OPEN_LIST`
`static final int`
`BIGDEC`
`static final int`
`BIGINT`
`static final int`
`BOOLEAN_ARRAY`
`static final int`
`BYTES`
`static final int`
`BYTES_CHUNK`
`static final int`
`BYTES_PACKED_LENGTH_END`
`static final int`
`BYTES_PACKED_LENGTH_START`
`static final int`
`DOUBLE`
`static final int`
`DOUBLE_0`
`static final int`
`DOUBLE_1`
`static final int`
`DOUBLE_ARRAY`
`static final int`
`END_COLLECTION`
`static final int`
`FALSE`
`static final int`
`FLOAT`
`static final int`
`FLOAT_ARRAY`
`static final int`
`FOOTER`
`static final int`
`FOOTER_MAGIC`
`static final int`
`GET_PRIORITY_CACHE`
`static final int`
`INST`
`static final int`
`INT`
`static final int`
`INT_ARRAY`
`static final int`
`INT_PACKED_1_END`
`static final int`
`INT_PACKED_1_START`
`static final int`
`INT_PACKED_2_END`
`static final int`
`INT_PACKED_2_START`
`static final int`
`INT_PACKED_2_ZERO`
`static final int`
`INT_PACKED_3_END`
`static final int`
`INT_PACKED_3_START`
`static final int`
`INT_PACKED_3_ZERO`
`static final int`
`INT_PACKED_4_END`
`static final int`
`INT_PACKED_4_START`
`static final int`
`INT_PACKED_4_ZERO`
`static final int`
`INT_PACKED_5_END`
`static final int`
`INT_PACKED_5_START`
`static final int`
`INT_PACKED_5_ZERO`
`static final int`
`INT_PACKED_6_END`
`static final int`
`INT_PACKED_6_START`
`static final int`
`INT_PACKED_6_ZERO`
`static final int`
`INT_PACKED_7_END`
`static final int`
`INT_PACKED_7_START`
`static final int`
`INT_PACKED_7_ZERO`
`static final int`
`KEY`
`static final int`
`LIST`
`static final int`
`LIST_PACKED_LENGTH_END`
`static final int`
`LIST_PACKED_LENGTH_START`
`static final int`
`LONG_ARRAY`
`static final int`
`MAP`
`static final int`
`META`
`static final int`
`NULL`
`static final int`
`OBJECT_ARRAY`
`static final int`
`PRECACHE`
`static final int`
`PRIORITY_CACHE_PACKED_END`
`static final int`
`PRIORITY_CACHE_PACKED_START`
`static final int`
`PUT_PRIORITY_CACHE`
`static final int`
`REGEX`
`static final int`
`RESET_CACHES`
`static final int`
`SET`
`static final int`
`STRING`
`static final int`
`STRING_CHUNK`
`static final int`
`STRING_PACKED_LENGTH_END`
`static final int`
`STRING_PACKED_LENGTH_START`
`static final int`
`STRUCT`
`static final int`
`STRUCT_CACHE_PACKED_END`
`static final int`
`STRUCT_CACHE_PACKED_START`
`static final int`
`STRUCTTYPE`
`static final int`
`SYM`
`static final int`
`TRUE`
`static final int`
`URI`
`static final int`
`UUID`

## Constructor Summary

Constructors
Constructor
Description
`Codes()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PRIORITY_CACHE_PACKED_START

public static final int PRIORITY_CACHE_PACKED_START

See Also:
  - Constant Field Values

### PRIORITY_CACHE_PACKED_END

public static final int PRIORITY_CACHE_PACKED_END

See Also:
  - Constant Field Values

### STRUCT_CACHE_PACKED_START

public static final int STRUCT_CACHE_PACKED_START

See Also:
  - Constant Field Values

### STRUCT_CACHE_PACKED_END

public static final int STRUCT_CACHE_PACKED_END

See Also:
  - Constant Field Values

### LONG_ARRAY

public static final int LONG_ARRAY

See Also:
  - Constant Field Values

### DOUBLE_ARRAY

public static final int DOUBLE_ARRAY

See Also:
  - Constant Field Values

### BOOLEAN_ARRAY

public static final int BOOLEAN_ARRAY

See Also:
  - Constant Field Values

### INT_ARRAY

public static final int INT_ARRAY

See Also:
  - Constant Field Values

### FLOAT_ARRAY

public static final int FLOAT_ARRAY

See Also:
  - Constant Field Values

### OBJECT_ARRAY

public static final int OBJECT_ARRAY

See Also:
  - Constant Field Values

### MAP

public static final int MAP

See Also:
  - Constant Field Values

### SET

public static final int SET

See Also:
  - Constant Field Values

### UUID

public static final int UUID

See Also:
  - Constant Field Values

### REGEX

public static final int REGEX

See Also:
  - Constant Field Values

### URI

public static final int URI

See Also:
  - Constant Field Values

### BIGINT

public static final int BIGINT

See Also:
  - Constant Field Values

### BIGDEC

public static final int BIGDEC

See Also:
  - Constant Field Values

### INST

public static final int INST

See Also:
  - Constant Field Values

### SYM

public static final int SYM

See Also:
  - Constant Field Values

### KEY

public static final int KEY

See Also:
  - Constant Field Values

### GET_PRIORITY_CACHE

public static final int GET_PRIORITY_CACHE

See Also:
  - Constant Field Values

### PUT_PRIORITY_CACHE

public static final int PUT_PRIORITY_CACHE

See Also:
  - Constant Field Values

### PRECACHE

public static final int PRECACHE

See Also:
  - Constant Field Values

### FOOTER

public static final int FOOTER

See Also:
  - Constant Field Values

### FOOTER_MAGIC

public static final int FOOTER_MAGIC

See Also:
  - Constant Field Values

### BYTES_PACKED_LENGTH_START

public static final int BYTES_PACKED_LENGTH_START

See Also:
  - Constant Field Values

### BYTES_PACKED_LENGTH_END

public static final int BYTES_PACKED_LENGTH_END

See Also:
  - Constant Field Values

### BYTES_CHUNK

public static final int BYTES_CHUNK

See Also:
  - Constant Field Values

### BYTES

public static final int BYTES

See Also:
  - Constant Field Values

### STRING_PACKED_LENGTH_START

public static final int STRING_PACKED_LENGTH_START

See Also:
  - Constant Field Values

### STRING_PACKED_LENGTH_END

public static final int STRING_PACKED_LENGTH_END

See Also:
  - Constant Field Values

### STRING_CHUNK

public static final int STRING_CHUNK

See Also:
  - Constant Field Values

### STRING

public static final int STRING

See Also:
  - Constant Field Values

### LIST_PACKED_LENGTH_START

public static final int LIST_PACKED_LENGTH_START

See Also:
  - Constant Field Values

### LIST_PACKED_LENGTH_END

public static final int LIST_PACKED_LENGTH_END

See Also:
  - Constant Field Values

### LIST

public static final int LIST

See Also:
  - Constant Field Values

### BEGIN_CLOSED_LIST

public static final int BEGIN_CLOSED_LIST

See Also:
  - Constant Field Values

### BEGIN_OPEN_LIST

public static final int BEGIN_OPEN_LIST

See Also:
  - Constant Field Values

### STRUCTTYPE

public static final int STRUCTTYPE

See Also:
  - Constant Field Values

### STRUCT

public static final int STRUCT

See Also:
  - Constant Field Values

### META

public static final int META

See Also:
  - Constant Field Values

### ANY

public static final int ANY

See Also:
  - Constant Field Values

### TRUE

public static final int TRUE

See Also:
  - Constant Field Values

### FALSE

public static final int FALSE

See Also:
  - Constant Field Values

### NULL

public static final int NULL

See Also:
  - Constant Field Values

### INT

public static final int INT

See Also:
  - Constant Field Values

### FLOAT

public static final int FLOAT

See Also:
  - Constant Field Values

### DOUBLE

public static final int DOUBLE

See Also:
  - Constant Field Values

### DOUBLE_0

public static final int DOUBLE_0

See Also:
  - Constant Field Values

### DOUBLE_1

public static final int DOUBLE_1

See Also:
  - Constant Field Values

### END_COLLECTION

public static final int END_COLLECTION

See Also:
  - Constant Field Values

### RESET_CACHES

public static final int RESET_CACHES

See Also:
  - Constant Field Values

### INT_PACKED_1_START

public static final int INT_PACKED_1_START

See Also:
  - Constant Field Values

### INT_PACKED_1_END

public static final int INT_PACKED_1_END

See Also:
  - Constant Field Values

### INT_PACKED_2_START

public static final int INT_PACKED_2_START

See Also:
  - Constant Field Values

### INT_PACKED_2_ZERO

public static final int INT_PACKED_2_ZERO

See Also:
  - Constant Field Values

### INT_PACKED_2_END

public static final int INT_PACKED_2_END

See Also:
  - Constant Field Values

### INT_PACKED_3_START

public static final int INT_PACKED_3_START

See Also:
  - Constant Field Values

### INT_PACKED_3_ZERO

public static final int INT_PACKED_3_ZERO

See Also:
  - Constant Field Values

### INT_PACKED_3_END

public static final int INT_PACKED_3_END

See Also:
  - Constant Field Values

### INT_PACKED_4_START

public static final int INT_PACKED_4_START

See Also:
  - Constant Field Values

### INT_PACKED_4_ZERO

public static final int INT_PACKED_4_ZERO

See Also:
  - Constant Field Values

### INT_PACKED_4_END

public static final int INT_PACKED_4_END

See Also:
  - Constant Field Values

### INT_PACKED_5_START

public static final int INT_PACKED_5_START

See Also:
  - Constant Field Values

### INT_PACKED_5_ZERO

public static final int INT_PACKED_5_ZERO

See Also:
  - Constant Field Values

### INT_PACKED_5_END

public static final int INT_PACKED_5_END

See Also:
  - Constant Field Values

### INT_PACKED_6_START

public static final int INT_PACKED_6_START

See Also:
  - Constant Field Values

### INT_PACKED_6_ZERO

public static final int INT_PACKED_6_ZERO

See Also:
  - Constant Field Values

### INT_PACKED_6_END

public static final int INT_PACKED_6_END

See Also:
  - Constant Field Values

### INT_PACKED_7_START

public static final int INT_PACKED_7_START

See Also:
  - Constant Field Values

### INT_PACKED_7_ZERO

public static final int INT_PACKED_7_ZERO

See Also:
  - Constant Field Values

### INT_PACKED_7_END

public static final int INT_PACKED_7_END

See Also:
  - Constant Field Values

## Constructor Details

### Codes

public Codes()